/* -*- mode: c; c-basic-offset: 2; -*- */
/******** <lalVerbatim file="ExtTrigConditionDataHV"> ********
Author: Rahkola, R
$Id: ExtTrigConditionData.h,v 1.2 2002/04/18 19:28:44 rrahkola Exp $
********* </lalVerbatim> ********/

#ifndef _EXTTRIGCONDITIONDATA_H
#define _EXTTRIGCONDITIONDATA_H

#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>

#ifdef __cplusplus
extern "C" {
#endif

NRCSID( EXTTRIGCONDITIONDATAH, "$Id: ExtTrigConditionData.h,v 1.2 2002/04/18 19:28:44 rrahkola Exp $");

/************ <lalErrTable file="ExtTrigConditionDataHErrTab"> */
#define CONDITIONDATAH_ENULL     1
#define CONDITIONDATAH_ENNUL     2
#define CONDITIONDATAH_EMSTR     3
#define CONDITIONDATAH_ENSEQ     4
#define CONDITIONDATAH_EDIMS     5
#define CONDITIONDATAH_ENAME     6
#define CONDITIONDATAH_EFIND     7
#define CONDITIONDATAH_EINPUT    8
#define CONDITIONDATAH_EDATZ     9
#define CONDITIONDATAH_ETYPE     10
#define CONDITIONDATAH_EALOC     11
#define CONDITIONDATAH_EARGS     12
#define CONDITIONDATAH_ETIME     13
#define CONDITIONDATAH_EMPI      14
#define CONDITIONDATAH_EDUMY     15

#define CONDITIONDATAH_MSGENULL   "exttrig:Null pointer"
#define CONDITIONDATAH_MSGENNUL   "exttrig:Non-null pointer"
#define CONDITIONDATAH_MSGEMSTR   "exttrig:Not search master"
#define CONDITIONDATAH_MSGENSEQ   "exttrig:Wrong number of sequences in inPut"
#define CONDITIONDATAH_MSGEDIMS   "exttrig:Wrong dimensions of multidimData"
#define CONDITIONDATAH_MSGETYPE   "exttrig:Wrong type of multiDimData"
#define CONDITIONDATAH_MSGENAME   "exttrig:Name not found; multiDimData"
#define CONDITIONDATAH_MSGEFIND   "exttrig:multiDimData not found"
#define CONDITIONDATAH_MSGEALOC   "exttrig:Memory allocation error"
#define CONDITIONDATAH_MSGEARGS   "exttrig:Wrong number of arguments"
#define CONDITIONDATAH_MSGEINPUT  "exttrig:Cannot find data requested"
#define CONDITIONDATAH_MSGEDATZ   "exttrig:Got less data than expected"
#define CONDITIONDATAH_MSGEDUMY   "exttrig:Completed dummy routine"
#define CONDITIONDATAH_MSGEMPI    "exttrig:Invalid MPI request from slave"
#define CONDITIONDATAH_MSGETIME   "exttrig:TimeSeries start later than gpsRef"
/************************************ </lalErrTable> */

#ifdef __cplusplus
}
#endif

#endif /* _EXTTRIGCONDITIONDATA_H */
